### Method

# Gtk TextItereditable

#### Declaration [src]

    gboolean
    gtk_text_iter_editable (
      const GtkTextIter* iter,
      gboolean default_setting
    )

#### Description [src]

Returns whether the character at `iter` is within an editable region of text.

Non-editable text is “locked” and can’t be changed by the user via `GtkTextView`. If no tags applied to this text affect editability, `default_setting` will be returned.

You don’t want to use this function to decide whether text can be inserted at `iter`, because for insertion you don’t want to know whether the char at `iter` is inside an editable range, you want to know whether a new character inserted at `iter` would be inside an editable range. Use `gtk_text_iter_can_insert()` to handle this case.

#### Parameters

`default_setting`

  Type: `gboolean`

  `TRUE` if text is editable by default.

#### Return value

Type: `gboolean`

Whether `iter` is inside an editable range.